Login  |  Packages  |  Support  |  Bugs
Top Level :: Database :: mongodb :: 1.6.0alpha3

mongodb 1.6.0alpha3

Package Information
Summary MongoDB driver for PHP
Maintainers Derick Rethans < derick at php dot net > (lead) [wishlist] [details]
Jeremy Mikola (lead) [details]
Katherine Walker (developer) [details]
Andreas Braun (lead) [details]
Hannes Magnusson < bjori at php dot net > (lead) [details]
License Apache License
Description The purpose of this driver is to provide exceptionally thin glue between MongoDB
and PHP, implementing only fundamental and performance-critical components
necessary to build a fully-functional MongoDB driver.
Homepage http://docs.mongodb.org/ecosystem/drivers/php/
Release notes
Version 1.6.0alpha3
(alpha)
** New Feature
* [PHPC-1291] - Retryable Reads
* [PHPC-1292] - Support polling SRV records for mongos discovery
* [PHPC-1297] - Support sharded transactions recovery token
* [PHPC-1319] - Drivers should use majority write concern when retrying commitTransaction
* [PHPC-1324] - Support Retryable Writes on by Default
* [PHPC-1355] - Add the ability to specify a pipeline to an update command
* [PHPC-1371] - Drivers send recoveryToken on abortTransaction
* [PHPC-1382] - Allow applications to set maxTimeMS for commitTransaction

** Task
* [PHPC-1275] - Bump wire protocol version for 4.2
* [PHPC-1320] - Regenerate test certificates with SHA256 signatures
* [PHPC-1369] - Upgrade libmongoc to 1.15.0
* [PHPC-1377] - Remove support for PHP 5.5
* [PHPC-1390] - Remove 7.0 and add 7.3 on AppVeyor
* [PHPC-1392] - Avoid spurious failure in ConnectionTimeoutException test due to slow auth
* [PHPC-1399] - Test MongoDB 4.2 in Evergreen
* [PHPC-1412] - Fix test failures when retryable writes are enabled
* [PHPC-1413] - Fix test failures executing insert on secondary
* [PHPC-1414] - Skip tests when mongo orchestration is not available
* [PHPC-1415] - Fix test failures for sharded cluster without replica set

** Improvement
* [PHPC-1394] - Don't send $readPreference to standalone servers
* [PHPC-1422] - Raise an actionable error message when retryWrites fails due to using an unsupported storage engine

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source ] [ Package Bugs ] [ View Documentation ]

Dependencies for release 1.6.0alpha3
PHP Version: PHP version 7.99.99 or older
PHP Version: PHP 5.6.0 or newer
PEAR Package: PEAR 1.4.8 or newer
PRIVACY POLICY  |  CREDITS
Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sun Jan 27 13:05:01 2019 UTC
Bandwidth and hardware provided by: pair Networks